### Function

# Fwupd variant_get_uint32

since: 2.1.4

#### Declaration [src]

    guint32
    fwupd_variant_get_uint32 (
      GVariant* value
    )

#### Description [src]

Gets an unsigned integer from a variant, handling both ‘u’ and ‘i’ types.

Available since: 2.1.4

#### Parameters

`value`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the function.

#### Return value

Type: `guint32`

Integer, or 0 if not valid.